Warning: include_once(/home/antonaylward/InfoSecBlog/public/wp-content/plugins/wordpress-support/wordpress-support.php): failed to open stream: Permission denied in /home/antonaylward/InfoSecBlog/public/wp-settings.php on line 304

Warning: include_once(): Failed opening '/home/antonaylward/InfoSecBlog/public/wp-content/plugins/wordpress-support/wordpress-support.php' for inclusion (include_path='.:/usr/local/lib/php:/usr/local/php5/lib/pear') in /home/antonaylward/InfoSecBlog/public/wp-settings.php on line 304
The IDE of Choice: VI « The InfoSec Blog
The InfoSec Blog
17Dec/08

The IDE of Choice: VI

I do a bit of work on the fringe of the Ruby community, and the Mac is popular there along with an IDE or two. However I'm beginning to see a few articles to the effect that the IDE is getting in the way after a point and that reverting to your favourite text editor as an IDE is actually more productive.

For old-farts like myself that would be VI (or VIM). Such a comment will probably bring cries of derision, more so than the idea of an editor replacing an IDE. But after a few decades editing is no longer a conscious act. Just as some people touch-type and the words appear on the screen (or paper) without any thought about the mechanics, so too with your favourite editor - only it extends to the non-alphanumeric keys too.

Of course I cheat; VIM has panels and Linux has all these windows and other things that make VIM usable as an IDE. Integrated? Yes, in my head. Its the best place for it.

Reblog this post [with Zemanta]

Posted by antonaylward

Comments (0) Trackbacks (0)

No comments yet.


Leave a comment

No trackbacks yet.